
 ------------------------------------------------------------------------------------------------
     История изменений после первого релиза от 29.08.2015
     Все изменения и дополнения производятся совместно с LeX333666, 7promo и другими ребятами
 ------------------------------------------------------------------------------------------------


   - Изменения от 23.12.2018 -     | Версия 3.18

  1. Исправлено отображение имен задач от Nvidia с фигурными скобками для батника Fix. Обнаружил и исправил код пользователь gen4gen.
  2. Изменил поведение при установке обновлений CAB, у которых будут получены имена по типу "KB1234567".
     Если обнова уже установлена, она теперь не будет пропускаться, при отображении это будет указано. 
     Так как теперь часто необходимо перед установкой накопительных обновлений повторная установка всех обновлений стека,
     иначе обновление откатывается обратно.
     


   - Изменения от 29.07.2018 -     | Версия 3.17

  1. Доработан сценарий получения списка дисков в системе ViewMyDisks.ps1,
     неправильно определял некоторые "кривые" HD диски от WD.
  2. Добавлен выбор принудительной установки обновления MSU, если оно уже установлено (необходимо, если были изменения компонентов после обновления).
     Выбор будет предложен во время установки, и пропущен через 10 секунд при бездействии.
  3. Добавлена возможность задать в Presets.txt пропуск отключения службы телеметрии NvTelemetryContainer для GeForce Experience.
     Без этой службы GeForce Experience теперь не работает.
     Действует для обоих батников Settings и Check.
     Также изменен шаблон имени для поиска всех его новых задач телеметрии.




   - Изменения от 15.05.2018 -     | Версия 3.16

  1. Доработан сценарий выполнения комманд под правами TrustedInstaller,
     Добавлено включение служб "Установщик модулей Windows" (TrustedInstaller) и "Вторичный вход в систему" (seclogon), если они отключены.
     Они необходимы для этих действий.
  2. Добавлены файл и папка для внесения в исключения дефендера от активатора KMSAuto Lite
  3. 7-zip обновлен на версию 18.05 (2018-04-30)




   - Изменения от 23.12.2017 -     | Версия 3.15


  1. Добавлен в Presets.txt в меню блокировки запуска файл OneDriveSetup.exe
     Также доработан сценарий отображения добавленных файлов для блокировки,
     для ровного смещения описания и сокращения имени exe файла, если длинее 26 символов.
  2. К добавлению файлов в исключения дефендеру добавлена папка активатора AAct: %SystemRoot%\AAct_Tools
  3. Добавлен Запрет телеметрии проверки активации Windows для slui.exe - "NoGenTicket".
     Применение параметра через TrustedInstaller, как и в файле проверки.
  4. Небольшие изменения в коде, не влияющие на результат.




   - Изменения от 01.11.2017 -

  1. Исправлен сценарий проверки значений реестра в батнике _2__Check.bat, сообщил пользователь rust3028
     Забыл удалить перенаправление в файл для спецпараметра, которое было нужно до последнего изменения батника.




   - Изменения от 17.09.2017 -     | Версия 3.14

  1. Улучшены сценарии проверки доступа в Internet, которые используются в некоторых меню.
  2. Добавлен параметр PeriodInNanoSeconds со значением 0.
  3. Изменено отображение информации "Удален" на "Отключен" для компонентов SMB1 и Индексирования.
     Чтобы было понятно, что это можно включить обратно в этом же меню.
  4. Добавлен учет состояния компонента SMB1 при выборе для его отключения или включения, и при быстрой настройке.
     Для исключения лишних действий медленного DISM.
  5. Для решения проблем с кэшем Adobe, добавлен обратный слэш на конце путей для переноса папок Temp в файле Presets.txt
     И в Menu Info.txt описал, как сделать правильно перенос в "одну папку", так как были такие вопросы.

     Обновите свои сконфигурированные файлы настроек на основе нового файла QuickPresets.txt и Presets.txt




   - Изменения от 26.08.2017 -     | Версия 3.13

  1. Исправлено дефолтное значение для службы dmwappushservice, на ручное при сбросе.
  2. Добавлена возможность через Quick Settings выборочно скрывать папки пользователя в проводнике.
     Обновите свои сконфигурированные файлы настроек на основе нового файла QuickPresets.txt




   - Изменения от 21.08.2017 -     | Версия 3.12

  1. Улучшен код, исправлена орфография и отображение в некоторых сценариях.




   - Изменения от 08.08.2017 -     | Версия 3.11

  1. Убрано условие по OneDrive, параметры для него теперь настраиваются все, не зависимо от его наличия.
     Так как после его удаления, его задачи остаются. При сбросе на дефолт условие его наличия оставлено.




   - Изменения от 06.08.2017 -     | Версия 3.10

  1. Добавлена задача UpdateOrchestrator\Schedule Retry Scan в меню управления Центром обновлений.




   - Изменения от 01.08.2017 -     | Версия 3.09

  1. Добавлено понимаение кириллицы в путях, для вызова UAC, за счет создания VBS файла GetAdmin.vbs в кодировке UTF-16.




   - Изменения от 31.08.2017 -     | Версия 3.08

  1. Небольшое усовершенствование кода.
  2. Загадочная проблема с перезагрузкой была из-за подкладывания батника, с именем системной утилиты shutdown.exe
     Код Меню перезагрузки возвращен в нормальный вид. Называйте свои батники более специфичными именами!
  3. Добавлено в меню ГП копирование файлов комментариев, при создании своего файла LGPO, и закидывание их при приминении ГП.
     Если при создании своего файла LGPO, файлы комментариев уже существуют, они будут переименованы, а не удалены.
  4. Добавлены дополнительные параметры скрытия OneDrive из проводника, так как могут восстанавливаться.
  5. Исправления орфографии.




   - Изменения от 29.07.2017 -     | Версия 3.07

  1. Улучшена проверка параметров WiFi в проверочном батнике. При отличающихся параметрах у нескольких пользователей, мог показывать, что все отключено.
  2. Подправлено меню перезагрузки в установке обновлений батника настройки.




   - Изменения от 29.07.2017 -     | Версия 3.06

  1. Исправлена проверка параметров WiFi, забыл вернуть проверочный параметр,
     менялся для тестов, после изменений сценариев на v.3.0
     Батник все делал правильно, но проверял тестовый, не верный, параметр, по этому всегда считал, что параметр не настроен.
  2. Снова изменена логика в меню по выбору перезагрузки, после установки обновлений. =)




   - Изменения от 28.07.2017 -     | Версия 3.05

  1. Добавлена поддержка Ico файлов просмотрщиком фото, и назначение его на открытие Ico файлов.
     Отключены все параметры по Gif файлам, так как этот формат лучше просматривать в браузерах или поддерживаемых программах.
  2. Изменена логика в меню по выбору перезагрузки, после установки обновлений. Так как загадочная проблема все еще была/есть с нами =)
  3. Добавлено определение задач от OneDrive, не зависимо от их названия, главное чтобы в их названиях было слово OneDrive.




   - Изменения от 25.07.2017 -     | Версия 3.04

  1. Добавлено переключение на русскую кодировку перед запуском дефрагментации и TRIM, если системная локаль Русская.
     Так как defrag.exe не выводит всю инфу в окно cmd на нужном языке, исходя из кодировки в батнике, как другие. заметил LeX333666
     Не проверили после перехода на UTF-8.




   - Изменения от 25.07.2017 -     | Версия 3.03

  1. Изменена проверка наличия папки с батником в меню изменения расположения папок пользователя, для блокировки.
     Блокирует только в одном случае, если папка с батником уже находится в одной из уже настроенной папке пользователя.
     По пути усовершенствовано получение пути для папок пользователя из параметров реестра.
     Теперь при любом количестве подряд пробелов в пути они не будут округляться в один пробел, вдруг такое попадется у кого.
  2. Исправлена до конца загадочная проблема, в меню установки обновлений, благодаря KLASS =)
  3. Добавлены параметры для настройки обслуживания и пробуждения дополнительно в разделы реестра для х86 приложений (Wow6432Node)
  4. Добавил изменение параметра EnableBackupForWin8Apps через LGPO, при сбросе будет его удалять.
  5. Добавил отключение автообновления магазина Windows, так как параметр присутствует изначально.




   - Изменения от 23.07.2017 -     | Версия 3.02

  1. Исправлена загадочная проблема в меню установки обновлений в виртуалке Hyper-V, благодаря KLASS =)




   - Изменения от 22.07.2017 -     | Версия 3.01

  1. Добавлено отключение задачи OneDrive "OneDrive Standalone Update Task v2" к отключению OneDrive
  2. Добавлено отключение задачи RemoteAssistanceTask в меню Сеть. (Отображает вместо параметра удаленного помощника не в ГП)
  3. Добавлена возможность указать отдельное расположение для переноса папки Загрузки
  4. Исправления орфографии и опечаток




   - Изменения от 18.07.2017 -     | Версия 3.0   UTF-8


  0. В связи с сильными изменениями в коде, делайте свои варианты по новой, учитывая все и на основе всех новых файлов, в формате UTF-8!

  1. Все параметры из Групповой политики теперь добавляются или убираются прямо в ГП к вашим параметрам, через утилиту LGPO.exe v2.2 от MS
     Утилита LGPO.exe v2.2  настраивает ГП, аналогично ручной настройке в редакторе ГП gpedit.msc Теперь все параметры отображаются в редакторе ГП.
     Сделал 2 сценария: Форматирование из обычной команды для reg.exe в формат LGPO (удобно добавлять свои или новые). И добавление параметров в ГП
     Сначала идут все добавления в файл LGPO "Call :LGPO_FILE" , в конце идет его применение, т.е. настройка ГП "Call :LGPO_FILE_APPLY"
     2 сценария и такая последовательность, только что бы не тормозить процесс при частых применениях ГП.
     В быстрых настройках применение LGPO идет в самом конце, по этому, если ваши ГП были применены в процессе из меню ГП,
     то новые просто добавятся к уже настроенным, или изменят/уберут их.
     При запуске на системе без ГП, параметры будут применены стандартно напрямую в реестр, а в меню ГП не будет заходить.

  2. Все файлы переделаны в формат UTF-8, чтобы на любой локализации русский текст не был иероглифами.
     В связи с этим изменены сценарии и убраны лишние команды. Формат UTF-8 понимает и блокнот Windows
     Так как UTF-8 в блокноте сохраняется с меткой BOM (Byte Order Mark), это учтено в батниках в первых строчках, для скрытия ошибки из-за метки.
     Теперь код батника не полностью подходит для использования в формате ANSI 1251 !!!

  3. Сделал проверку состояния компонента SMB1 без использования DISM, теперь результат получает мгновенно.
  4. Исправлено отображение нескольких языковых пакетов в системе. Теперь может отобразить правильно 4 языковых пакета, думаю хватит.
  5. Изменена проверка наличия обновления перед его установкой на WMIC, как и в меню.
     Так как, если обновление откатывалось из-за ошибки, из-за частей замененных компонентов определялось, что обнова уже установлена.
  6. Меню "индексирование" объединено с настройками поиска из ГП, они перенесены из общего меню, настраиваются так же через LGPO.exe
     часть параметров убрано в связи с использованием удаления компонента поиска, потому что это убирает из ГП ее шаблон настроек.
  7. В Меню "Сеть" добавлены параметры из общего меню по настройке Адм. общих Шар и Параметров для Удаленного доступа,
     типа NetMeetings, удаленный реестр и др. Это объединение части параметров с подходящими меню,
     так как теперь есть "Быстрые настройки" + дает более точно выбрать свою конфигурацию настроек.
  8. Изменил сценарий поиска задач телеметрии Nvidia, для быстрой проверки состояния.
  9. Изменил в батнике Check проверку параметров реестра по целой команде для reg.exe, удобно добавлять свои или новые.
 10. В файле проверки теперь все параметры из Групповой Политики применяются также прямо в ГП утилитой LGPO.exe v2.2 от MS
 11. Из-за использования LGPO.exe, убрал везде "Echo On", которое включает отображение всего в окне cmd.exe, зато более понятно выглядит результат.
 12. Меню настройки Групповых Политик переделано на использование LGPO.exe v2.2
     Сделал при входе в меню "Quick Settings" и меню "Групповых Политик" проверку наличия метки BOM в файлах LGPO (для настройки ГП)
     Если метка есть, то файл пересоздается без метки BOM, так как LGPO.exe файлы с меткой BOM не понимает.
 13. В меню настройки Защитника при любом выборе добавляется в исключения папка с батником и файлы и папки активаторов KMSAuto и AAct
     Удалить исключения можно руками в меню исключений у защитника.
 14. Добавлена поддержка установки .CAB файлов в меню ручной установки обновлений. С проверкой совместимости и по возможности наличия в системе
     Названия .CAB файлов роли не играют, вся информация берется в файле update.mum изнутри пакета, достается с помощью 7z.exe
     Так же понимает пакеты .CAB с драйверами, которые, после распаковки, добавляются в хранилище драйверов системы встроенной утилитой PnP pnputil.exe
 15. Изменена очистка диска на запуск cleanmgr.exe, с заданным пресетом, а не /autoclean, для более полной очистки, кроме важных пунктов.
 16. Добавлена возможность автозапуска выполнения быстрых настроек, если батник запущен с параметром: /RunQuickSettings
     И выйти по завершении, если добавлен еще один параметр: /QuickExit
     Пример: "D:\AutoSettings\_1__Settings.bat" /RunQuickSettings /QuickExit
 17. Добавил возможность в файле Presets.txt задать скрытие нескольких меню для опытных.
 --. Другие исправления для ускорения работы, улучшения отображения, порядка в коде и орфографии.




   - Изменения от 12.06.2017 -     | Версия 2.35

  1. Добавлено новое меню "Quick Settings" для быстрого применения всех настроек из Settings.bat + подхват всех ваших батников
     Предустановки для быстрого применения и сброса можно задать свои.
  2. Добавлено новое меню "Сеть" в "Личные настройки", для настройки сети для безопасности + обход блокировок сайтов для России
  3. Исправление отображения HDD дисков, отображало Virtual на RAID в скрипте PS, помог MSSIGN
  4. Исправления пути у параметра центра обновления UseWUServer, сообщил KLASS
  5. Добавлено определение и запрет запуска обоих батников из-под 32-битной оболочки на 64 битной системе.
  6. Добавлено отключение/включение счетчика производительности для BITS, при отключении/включении обновлений.
     Убирает из журнала ошибки по этому поводу.
  7. Добавлено отключение рекламы Windows Update в модерн настройках, так же в файл проверки.
  8. Убрано из настроек IE отключение RSS (Отключить показ ленты веб каналов и Отключить обнаружение веб фрагментов на веб каналах)
  9. Добавлено отключение 3 задач и 1 службы по телеметрии NVIDIA, так же в файл проверки.
 10. В меню обслуживания добавлен пункт выполнения сразу 3 действий, и добавлено в очистку системного диска вначале выполнение /StartComponentCleanup
 11. Изменены вызовы сценариев и сценарии по отключению задач в файле проверки, чтобы вызов и отображение задачи было вместе с путем.
     И вывод инфы сдвинуто влево, чтобы не перескакивало на новую строку в некоторых случаях.
  -. Другие мелкие и не важные исправления, по орфографии и может что-то ещё.



   - Изменения от 15.03.2017 -      | Версия 2.34

  1. Добавлена проверка редакции. Если не LTSB, будет отображать предупреждение об отключении модерн приложений и о ГП
  2. Добавлено изменение иконок у дисков/флешек USB и RAM (в личном меню в настройке проводника)
     Написал скрипт на PowerShell, который определяет все диски в системе и на этой основе все работает.
     Пример результата с моего компа, с подключенными устройствами: http://i.imgur.com/Wxea3k1.png
  3. Добавлено отключение рекламы в проводнике от OneDrive




   - Изменения от 04.03.2017 -      | Версия 2.33

  1. Добавлено меню управления Контролем учетных записей (в личных настройках)
  2. Добавлено меню Изменения расположения папок пользователя: Документы, Рабочий стол и т.д. (в личных настройках)
  3. Изменен способ корректного перезапуска проводника (Gracefully), для ускорения перезапуска.
     За основу теперь взята утилита от винаеро ExitExplorer.exe + дополнительные действия.




   - Изменения от 25.02.2017 -      | Версия 2.32

  1. В меню оптимизации дисков улучшено определение всех дисков в системе, и определение типа SSD на разных контроллерах.
     Это стало возможным благодаря LeX333666 и его ноутбуку, а так же его помощнику, со сложным разбиением динамических дисков на контроллере AMD.
     Добавлено определение "Fat32", размеры в "MB", "динамические диски". Определение SSD на всех основных контроллерах SATA.
     Но у динамических дисков нет возможности определить тип SSD! Если такие будут, то батник их покажет как HDD.
     Намеренно и не намеренно исключаются из обработки диски: Размером менее 1Гб, Без назначенных Букв, Скрытые, USB, RAM-Disks, CD, DVD.



   - Изменения от 21.02.2017 -      | Версия 2.31

  1. Исправлено меню настройки проводника для win х86 (сообщил LeX333666)



   - Изменения от 19.02.2017 -      | Версия 2.30

  1. Добавил в скрытие папок изменения для разделов в х64, после тестов забыл вернуть. (обнаружил LeX333666)
  2. Исправления орфографии.



   - Изменения от 17.02.2017 -      | Версия 2.29

  1. Объединены параметры настройки проводника (в Личных настройках): Значок Сеть и дубликаты устройств.
     Так же к ним добавлена настройка папок пользователя и быстрого доступа.
     Меню написано с нуля, с помощью LeX333666, теперь настраивает для текущего аккаунта и без смены разрешений.
  2. Полностью переделана работа меню настройки Стандартного просмотрщика фото Windows,
     В связи с подсказкой BlackXSun, по недостающим параметрам для этого Вьюивера, относительно win7.
     Что дало возможность сделать назначение/переназначение его по дефолту на открытие файлов сразу.
     По просьбе BlackXSun, сделал назначение так, как это делает сама Система, разница лишь в отсутствии параметра Hash.
  3. Обновлена утилита nircmdc.exe, и теперь она используется под разрядность.
  4. Исправлено поведение по переходам из меню, надписи, и другие косметические изменения.



   - Изменения от 08.02.2017 -      | Версия 2.28

  1. Изменил параметры переменных, В командах "for" не должно быть кавычек у исполняемых файлов.
     Не проверил работу переменной %Handle% в коменде "for" (Ошибку обнаружил LeX333666)
     по этому при переносе папок "temp" мог не правильно выполняться скрипт.



   - Изменения от 07.02.2017 -      | Версия 2.27

  1. Перешел сам на 10, в связи с полным ее успокоением, и возможностью ручного обслуживания,
     и выявил некоторые нюансы.
     Каспер снес мне батник настройки, при выполнении. Посчитал поведение похожее на вирус,
     и восстановил сделанные им изменения в реестре. Ему не понравилась правка параметров IE =)
     http://i.imgur.com/iHwid3e.png (добавьте папку с батником в исключения)
  2. Добавил параметр для определния дисков утилитой Smartctl (критично важный),
     который указывает автоматически определять тип контроллера и понимать, например, CSMI (Intel).
     Иначе, если поставить драйвер AHCI или другой, Smartctl может перестать определять диски.
     Почему не сделали это в утилите по умолчанию я не понял.
  3. Добавил 2 параметра исправления DCOM прав для Local SYSTEM (выявил у себя),
     для ShellServiceHost и Immersive Shell



   - Изменения от 04.02.2017 -

  1. Мелкий фикс отображения дней установленных обновлений, для красоты =)


   - Изменения от 03.02.2017 -      | Версия 2.26

  1. Добавлен пункт меню "Обслуживание" (несколько основных важных действий)
     Описание читайте в \Files\Menu Info.txt
  2. Перенесены 2 пункта в личное меню: Блокировка файлов и языковые возможности.
  3. Добавлен файл \Files\Menu Info.txt, с описанием некоторых пунктов меню, убрано из внутренностей батника.
  4. Добавлен файл \Files\Presets.txt, в котором находятся настраиваемые параметры.
     Теперь не надо править батник для этого.
  5. Все дополнительные файлы теперь убраны в папку \Files, чтобы не захламлять начальную директорию.
  6. Внутри батников изменено положение сценариев, теперь название переменной cecho.exe: %ch%
     Изменил переменные для утилит, привел к общим правилам для удобства изменений и дополнений.
  7. Все файлы переименовал на англ. язык (для исключения проблем с добавлением в ISO)
  8. Добавил внесение параметров DCOM локальной активации и запуска 2 служб от SYSTEM
     RuntimeBroker, AppID: {9CA88EE3-ACB7-47c8-AFC4-AB702511C276}
     CDP Activity Store, AppID: {F72671A9-012C-4725-9D2F-2A4D32D65169}
     Исправляют стандартные ошибки DistributedCOM 10016 от этих компонентов
     Эти ошибки бывают от разных компонентов, зависит от их наличия и использования в системе.
  9. Изменено поведение меню управления защитником,
     так как теперь в RepackWIM v4.23 служба Sense защитника удаляется.
 10. Добавлены 2 меню в личные настройки: Дубликаты устройств и Стандартный просмотр фото (Новый корректный вариант)
 11. Добавлено несколько параметров по отключению Удаленной помощи.
 12. Другие косметические изменения кода и визуального вида, в том числе показывает заголовок окна cmd

     В доработке и тесте всех батников помогали LeX333666 с ребятами.
     Если что то упустили или не работает, пишите мне в приват или на почту.



   - Изменения от 26.12.2016 -      | Версия 2.25

  1. Исправлена опечатка в параметре настройки IE, заметил Xenaki
     Исправлена во всех батниках.
  2. Добавлено скрытие вкладки предварительных версий (инсайдерство) в модерн настройках.
  3. Добавлено управление Обновлениями системы (подсказал LeX333666)
     По этому эти параметры убраны из настроенных Групповых Политик.
  4. Добавлено управление Журналами событий в меню личных настроек (подсказал LeX333666)
  5. Добавлены дополнительные 15 параметров из ГП, для приватности.
     Не добавлял в настроенные ГП, но они проверяются файлом проверки.
  6. Косметические исправления



   - Изменения от 09.09.2016 -      | Версия 2.24

  1. Вынес блокировку получения драйверов в отдельный пункт в управлении драйверами.



   - Изменения от 01.09.2016 -      | Версия 2.23

  1. Изменил настройку отключения обновления драйверов через Центр Обновления.
     Теперь ЦО не может скачивать драйвера, после применения параметров.
     Большую помощь оказали LeX333666 с 7promo.




   - Изменения от 27.08.2016 -      | Версия 2.22

  1. Добавил параметр "LowRiskFileTypes" к "Не хранить сведения о зоне происхождения файлов",
     для отключения предупреждения на уже скачанных указанных файлах. Подсказал LeX333666 с 7promo.
  2. Поменял названия батников на английские, для исключения проблем с другими языками.
     Названия файла исправления также заменено на "_3__Fix.bat"
  3. Добавил в установку языковых возможностей Компонент "Language.Speech".
     он присутствует на языках, поддерживаемых кортаной.



   - Изменения от 26.08.2016 -      | Версия 2.21

  1. Добавил условие наличия интернета, для удаления Языковых возможностей.
     Не дает удалять без интернета, и указать оффлайн для удаления нет такого параметра.



   - Изменения от 23.08.2016 -      | Версия 2.2  строго для LTSB 10.0.14393 RS1

  1. Добавлены новые параметры, исправлены старые, лишние убраны.
     ГП настроена по новой, все ее параметры перелапачены с нуля.
     Все настроенные ГП добавлены в батник настройки и проверки.
  2. Все добавленные параметры также добавлены во все батники в RepackWIM (которые можно добавить).
  3. Отключение Защитника выведено в отдельное меню.
  4. Отдельное меню для удаления временного профиля defaultuser0, он остается после развертывания системы.
  5. В батник настройки добавлено удаление из контекстного меню проводника
     пункта "3D-печать с помощью 3D Builder", при наличии.
  6. Все службы из серии OneSyncSvc_xxxxx и так далее отрубаются без проблем, и проверяются батником проверки.
     Рендомный суффикс имени служб учитывается.
  7. Много что изменено, могу что-то забыть. Читайте описание параметров внутри батника для ознокомления.
     В общем все батники изначально делаются для не тронутой системы.
     И только потом адаптируются под обрезанную.
  8. Если что, отписывайтесь мне. Проверил пока только на Русском образе.







===================================================================================================

          - Изменения от 11.07.2016 -      | Версия 2.12    (LTSB 10240 TH1)

  1. Добавил пункт меню "удаление/установка языковых возможностей - Features On Demand V2"
     с отключением/включением задачи авто-установки. Так как добавил их удаление из образа.
  2. Добавил пункт меню Блокировки запуска EXE файлов по названию, описание есть внутри батника и в меню.
     Добавить или убрать из батника любой EXE файл легко, так же как и впухнуть, если перепыжите )))
  3. Изменил параметр для Windows Update: "EnableFeaturedSoftware" с 1 на 0 (не предлогать обновления прог)
     И убрал его настройку из Груп. Политик (по умолчанию этот параметр считается отключенным, т.е. = 0)
  4. Добавил Удаление регистрации Родительского контроля из репозитария WMI, если удален Родительский контроль.
  5. Добавил 4 параметра отключения функций для специальных возможностей.
  6. Добавил отключение/проверку задачи "Microsoft\Office\Office 15 Subscription Heartbeat" от 2016 офиса
  7. Добавил определение версии системы, если не 10.0.10240, отображается надпись "Не поддерживается"
     не стал блокировать работу на другой версии.
  8. Переделал полностью батник проверки. Отображение стало по другому. Удобнее.
     Теперь просто добавлять свои параметры для проверки служб, значений реестра и задач!
     Параметры для исправления подсвечиваются желтым цветом. Батник проверки делает все как и раньше.
     Поддержка обоих разрядностей и любого языка системы.
  9. Изменил и добавил отображение инфы для настройки ГП в меню и во время выполнения.
 10. Другие Изменения, не влияющие на результат.



   - Изменения от 22.06.2016 -      | Версия 2.11

  1. Добавил к дефендеру отключение 4 задач Microsoft Malware Protection Command Line Utility
     И перевод в режим "Отключено": 2 его службы WinDefend, WdNisSvc, и его Драйвер WdNisDrv.
     Выполняется под правами TrustedInstaller, с помощью утилиты RunFromToken.exe (по другому ни как)
     В файле проверки службы и драйвер дефендера не проверяются.
  2. Другие Изменения, не влияющие на результат.



   - Изменения от 17.06.2016 -      | Версия 2.10

  1. Изменил батники настройки и проверки, теперь они должны работать при любом языке системы.
  2. Добавил пропуск настройки 2 задач под правами систем, если уже включены/отключены.
  3. Мелкие изменения, не влияющие на результат.



   - Изменения от 14.06.2016 -      | Версия 2.09

  1. Добавил пропуск применения параметров для OneDrive, при его отсутствии в системе.
  2. Добавил настройку панели управления на просмотр в виде мелких значков.
  3. Добавил дополнительный параметр AppSync для отключения синхронизации.
  4. Добавил все ключи реестра для параметров настройки конфиденциальности.
     Так как в случае НЕ использования всех параметров в режиме AutoUnattend,
     будет не возможно настроить их и через модерн панель настроек.
     + добавил запрет доступа к личным данным и для индивидуально указанных настроек пакетов.
  5. Добавил 2 ключа по отключению поиска кортаной и через бинг.
  6. Заменил 2 явных расположения в параметрах на переменные.
  7. Добавил отключение службы оптимизации доставки обновлений DoSvc
  8. Дополнил и изменил файл проверки, согласно вышеописанному.
  9. Добавил Настройки Windows Media Player 12 (Возврата параметров не предусмотрено)
 10. Добавил Настройки Internet Explorer 11  (Возврата параметров не предусмотрено)
 11. Другие не существенные изменения.




   - Изменения от 22.05.2016 -      | Версия 2.08

  1. Изменен способ переноса папок "temp" на стандартный, с добавлением ссылки для совместимости.
     В связи с проблемой WSIM, при размонтировании образа, из-за подмены на символическую ссылку.
     Проблема в Ошибке: 0xc1420117, описал ее решение в ридми к RepackWIM.
     Так же добавил завершение процессов, блокирующих удаление папки.

  2. Добавил параметр "JPEGImportQuality", Использование 100% качества картинки,
     при установке обоев рабочего стола.
     Увеличит потребление оперативы, при использовании слайдшоу и большого количества фоток!



   - Изменения от 16.05.2016 -      | Версия 2.07

  1. Убран параметр "ExtendedUIHoverTime", для этого раздела:
     HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced
     так как вместо задержки отображения эскизов окон
     на панели задач, при наведении, вообще их не показывает, только при клике.

  2. Добавлены кавычки вообще на все переменные %~dps0.
     Так как на некоторых ноутах она не преобразует путь в короткие имена, обрабатывает ее как %~dp0
     хотя 10 та же самая. И если в пути будут пробелы, то без кавычек батник не работает как нужно.



   - Изменения от 23.03.2016 -      | Версия 2.06

  1. Добавлена поддержка Английского интерфейса винды (en-US) в батники настройки и проверки.
     Помогал в тестировании пользователь "JuGeer"



   - Изменения от 15.01.2016 -

  1. Добавил описание по задаче "\cloudExperienceHost\CreateObjectTask"
     Нужна на этапе установки для создания локальной учетки! Нельзя отрубать в аудите,
     либо через SetupComplete.cmd. В рабочей ОС при заходе в создание учетки один раз
     выскакивает ошибка и просьба попробовать позже, на второй раз работает штатно.
     Проблема только при создании через модерн аплет.

  2. Изменил синтаксические конструкции переменных %~dp0 в %~dps0,
     для получения в путях коротких имен, исключает возможные проблемы
     с названиями папок на кирилице и пробелами. Также сделал и в RepackWim.



   - Изменения от 14.01.2016 -      | Версия 2.05

  1. Добавлен параметр для скрытия значка сети в окнах проводника,
     открытых через сторонние программы. Заметил пользователь "stelszero".
     Есть 2 параметра для скрытия, только 1 работает везде, по этому добавил
     удаление второго параметра из всех веток, если кто добавлял сам,
     и определение его при отображении состояния.
     Сделал поддержку для обеих разрядностей ОС.

  2. Мелкие фиксы отображения интерфейса батников, + несколько изменений для LTSB х86.



   - Изменения от 30.12.2015 -

  1. Добавил описание к отключению службы "Помошник по входу в учетную запись Майкрософт"
     Отключение не даст зайти в меню создания локальной учетки через модерн настройки.
     Только через управление компьютером или "control userpasswords2" можно будет создавать локальные учетки.



   - Изменения от 17.12.2015 -      | Версия 2.04

  1. Убрал из ГП 2 параметра по поиску драйверов в интеренет, Файлы ГП обновлены.
     И внес эти параметры в 5 пункт меню "Драйверы" и + еще 1 параметр.
     Результат работы с пользователем "KLASS" =)



   - Изменения от 14.12.2015 -      | Версия 2.03

  1. Изменен полностью скрипт применения Групповых политик.
     В связи с подсказкой пользователя "KLASS", за что ему благодарность.
     Теперь применение политик происходит полностью автоматически, без ручных манипуляций.
     За одно добавлено несколько параметров ГП.
     Кто использовал, необходимо применить по новой мои, либо свои, но насторенные по новой!
     Описание в инфо файле по ГП.



   - Изменения от 01.12.2015 -      | Версия 2.02

  1. Добавлен учет пробелов в пути при ручном запуске от админа.



   - Изменения от 01.12.2015 -      | Версия 2.01

  1. Добавил выделение цветом важных деталей в бат файле, с помощью "cecho.exe".
     Теперь стало нагляднее и удобнее пользоваться.

  2. Теперь применение, сброс параметров и настройка ГП в одном бат файле - "Настройка".
     Проверка значнений осталась в отделном файле.

  3. Переработаны управляющие команды во всем файле. Сделано для безконфликтного добавления
     в будущем пунктов, если будет.

  4. Более информативное отображение работы настроек ГП.

  5. "DevxExec.exe" заменен на "nircmdc.exe" Утилита от NirSoft.
     Она корректно понимает команды с пробелами, в отличие от первой.
     И так же нет ни каких ограничений.

     Все утилиты лежат теперь в папке "Tools".
     Файлы и инфо по ГП находятся в папке "GP"




   - Изменения от 28.11.2015 -

  1. Испрвален недочет в блокировке по GUID
  2. И одно изменение в авто-установке ГП


   - Изменения от 24.11.2015 -      | Версия 2.0

  1. Вместо файла "PsExec.exe" теперь используется файл "DevxExec.exe".
     Добавлены 2 файла SetACL.exe для использования на нескольких параметрах.

  2. Изменил управляющий код всех bat файлов. И теперь, при обычном запуске,
     идет запрос на получение прав администратора. Стало удобнее запускать.

  3. В первый бат файл "Отключение и настройка" добавил отдельное меню для личных настроек по выбору,
     с отображением текущего состояния всех значений. После выбора действия, отображения состояния обновляется.

     Настравиваемые параметры можно и нужно настроить под свои предпочтения, нужно исправление всего одной строчки.
     Внутри бат файла, рядом с параметрами, полное описание.

     Меню состоит из:

     "Оптимизация загрузки" Настройка Superfetch Перенес из 2 части. И + 5 параметров для отключения ReadyBoot и Prefetch.
     "Настройка индексации" Перенес из 2 части.
     "Настройка гибернации"
     "Настройка быстрой загрузки Windows" (гибернации не касается)
     "Настройка задачи "Reboot" (Нашел способ запретить изменение задачи, использутся файл "SetACL.exe")
     "Настройка пробужения компьютера для авто-обслуживания" Перенес из 2 части.
     "настройка IPv6" (Отключение убирает спам днс серверов)
     "Управление значком "Сеть" в области переходов проводника, с помощью файла "SetACL.exe"
     "Перенос папок temp, через подмену на символическую ссылку" Нужно предварительно прописать свой путь назначения.
     "Смена имени компьютера" Нужно предварительно указать свое название.


  4. В первый бат файл добавил еще одно отдельное меню для блокировки установки драйверов по GUID классу.
     Это попросил "Gosuto" с ру-боард, я посчитал, что нужная вещь и замутил.

     Если блочили уже, что бы не сбивалось, уставновите в ГП этот параметр на "не задано"!!!
     И блокируйте через мой файл.

     Получилось удобно и наглядно, с отображением блокировок! С проверкой каждого выбора и ввода,
     что бы кривыми руками не смогли накосячить =)
     И настройки отключения/включения поиска драйверов через Windows update для всех драйверов.


  5. Отделил строчку "DisableUAR", отключающую psr.exe (Средство записи действий) и подписал
  6. Добавил 1 ключ отключения телеметрии для SQMClient
  7. Добавил 5 ключей отключения телеметрии по "PerfTrack" и "DiagTrack"
  8. Добавил отключение телеметрии Office 2013 и 2016
  9. Добавил 1 ключ отключения телеметрии для MRT (средство удаления "вирусов")
 10. Добавил 2 ключа к WiFiSense (запрещение авто-подключения к WiFi без пароля)
 11. Добавил 1 ключ к Отключению поиска Кортаной
 12. Добавил во 2 часть бат файлов отключение 9 задач

 13. Добавил во 2 часть перевод в режим "Отключено" 4 службы Windows Store & Apps
     (Магазина Windows и его приложений), я весь этот хлам называю AppStore.

 14. Добавил 10 ключей из настройки Групповой политики, относящиеся к сбору данных и синхронизации,
     важно для тех, кто не настраивает ГП, и добавил их в файл проверки для отслеживания.

 15. Добавил полное отключение SmartScreen (ключ из ГП),
     за одно убирает уведомление о необходимости его включения

 16. Добавил в первую часть бат файлов отключение всех настроек конфиденциальности,
     находящиеся в Модерн аплете настроек + скрытые настройки.

 17. Добавил во 2 часть бат файлов "Отключение синхронизации персональных настроек программ и Windows"

    ----->   Все ключи, указанные выше, так же добавлены в файл проверки, кроме пунктов из отдельных меню.   <-----
     В этих пунктах есть отображение состояния и возврат по умолчанию.

 18. Добавил отключение проверки правописания (не будет в файле проверки)

 19. Добавил во 2 раздел темы "удаления компонентов" самостоятельный файл "Auto_Repack_dism_v2.bat",
     включающий все предыдущие + дополнительные компоненты для удаления из образа.
     (Можно удалить предыдущие компоненты из bat v2 и перепаковать wim, который был пере-пакован v1,
     чтобы не ждать снова удаления всех компонентов из оригинального wim по новой.)

 20. Обновил файлы в 4 разделе темы по настройке ГП: добавил отключенный SmartScreen.





  - Изменения от 10.09.2015 -         | Версия 1.000321854

  0. Исправил 2 раза файл проверки, было 2 ключа повтора
     Заменил на правильные.
     Издержки больших файлов, уследить за всем очень тяжело =)
     Повторения проверил утилитой, остальное все в порядке.




  - Изменения от 08.09.2015 -

  1. Новое: 5 ключей отключения телеметрии и Steps-Recorder
  2. Новое: Запрещение подключения удаленного помощника
  3. Новое: Запрещение пробуждать компьютер для авто-обслуживания
  4. Новое: Включение "NumLock" у всех, в том числе на Логин-Скрине
  5. Добавлено: Отключение служб "Служба датчиков" и "Служба данных датчиков"
  6. Добавлено: Отключение задачи "Metadata Refresh" для AppStore
  7. Добавлено: Скрытие иконки поиска на таскбаре
  8. Удален лишний ключ "PeriodInNanoSeconds" в формировании отзывов. Бесполезный, если отключено.




  - Изменения от 02.09.2015 -

  1. Дополнено: "Отключение сбора и передачи набираемых текстов"
  2. Дополнено: "Отключение определения вашего расположения"
  3. Новое: "Отключение возможности использования web камеры на Лок-скрине"
  4. Новое: "Отключение авто-создания общих административных ресурсов"
  5. Новое: "Отключение Дефендера, стандартное"
  6. Удален один лишний ключ, настройки авто-обновления (так как оно отключено),
     который задавал авто-установку по воскресеньям,
     он после каждого обновления изменяется с 7 на 0, т.е. каждый день.




